
Application: gvSIG desktop - gvSIG bugs #4017
Can't load URI property due to an URISyntaxException
01/18/2016 11:03 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Raster
Target version: 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2414 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the bug:
    -  open gvSIG 2.2 final, create and open a view;
    -  add a raster layer whose file path contains a space;
    -  save and close the project;
    -  open gvSIG 2.3 build 2414;
    -  finally open the gvSIG 2.2 project saved before.

Result: the project is opened, but the raster layer is greyed out in the ToC and is not loaded.
See the gvSIG.log in attachment.

Note: the project can't be opened in gvSIG 2.2 without problems.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3990: Build 2413 doesn't... Closed 01/11/2016

Associated revisions
Revision 1373 - 01/21/2016 11:12 AM - Francisco Díaz Carsí

refs #4017 Fixed CoerceToURI when the value is a String with white spaces and don't have a proper scheme to convert it to an URI with file scheme.

History
#1 - 01/18/2016 11:10 AM - Antonio Falciano

Antonio Falciano wrote:

Note: the project can't be opened in gvSIG 2.2 without problems.

Note: the project can be opened in gvSIG 2.2 without problems. Excuse me for the typo!

#2 - 01/20/2016 09:22 AM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2416 (rev. org.gvsig.desktop-2.0.122)
- Assignee set to Francisco Díaz Carsí
#3 - 01/21/2016 11:24 AM - Daniel Martinez
- Related to gvSIG bugs #3990: Build 2413 doesn't open previous projects - CORRUPTED PROJECTS? added

#4 - 01/21/2016 12:47 PM - Francisco Díaz Carsí
- Status changed from New to Fixed

#5 - 01/25/2016 05:58 PM - Antonio Falciano
- Status changed from Fixed to Closed

Files
gvSIG.log 374 KB 01/18/2016 Antonio Falciano
